[Lunar-commits] r16889 - in moonbase/trunk/crypto/heimdal: . init.d
Stefan Wold
ratler at lunar-linux.org
Tue Oct 11 10:22:00 UTC 2005
Author: ratler
Date: 2005-10-11 10:21:59 +0000 (Tue, 11 Oct 2005)
New Revision: 16889
Added:
moonbase/trunk/crypto/heimdal/CONFIGURE
moonbase/trunk/crypto/heimdal/POST_INSTALL
moonbase/trunk/crypto/heimdal/init.d/
moonbase/trunk/crypto/heimdal/init.d/kadmind
moonbase/trunk/crypto/heimdal/init.d/kdc
moonbase/trunk/crypto/heimdal/init.d/kpasswdd
Modified:
moonbase/trunk/crypto/heimdal/BUILD
moonbase/trunk/crypto/heimdal/DEPENDS
moonbase/trunk/crypto/heimdal/DETAILS
Log:
Version bump. Added startscripts. Compiled and tested with gcc 3.4.4, glibc 2.3.5.
Modified: moonbase/trunk/crypto/heimdal/BUILD
===================================================================
--- moonbase/trunk/crypto/heimdal/BUILD 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/BUILD 2005-10-11 10:21:59 UTC (rev 16889)
@@ -1,6 +1,14 @@
(
+ if [ "$KRB4" == "y" ]; then
+ OPTS="$OPTS --with-krb4"
+ else
+ OPTS="$OPTS --without-krb4"
+ fi
+
+ HEIMDALINC=/usr/include/heimdal
+
./configure --prefix=/usr \
- --without-krb4 \
+ --libexecdir=/usr/sbin \
--enable-shared \
--enable-readline-dir=/usr \
--enable-openssl=/usr \
@@ -9,6 +17,16 @@
make &&
prepare_install &&
make install &&
- (cd /usr/include/heimdal; ln -sf . include; ln -sf ../../lib .) &&
- echo
+
+ # Cleaner symlinks
+ ln -sf $HEIMDALINC /usr/include/gssapi &&
+ ln -sf $HEIMDALINC/krb5-types.h /usr/include/krb5-types.h &&
+ ln -sf $HEIMDALINC/krb5.h /usr/include/krb5.h &&
+ ln -sf $HEIMDALINC/asn1_err.h /usr/include/asn1_err.h &&
+ ln -sf $HEIMDALINC/krb5_asn1.h /usr/include/krb5_asn1.h &&
+ ln -sf $HEIMDALINC/krb5_err.h /usr/include/krb5_err.h &&
+ ln -sf $HEIMDALINC/heim_err.h /usr/include/heim_err.h &&
+ ln -sf $HEIMDALINC/k524_err.h /usr/include/k524_err.h &&
+ ln -sf $HEIMDALINC/krb5-protos.h /usr/include/krb5-protos.h
+
) > $C_FIFO 2>&1
Added: moonbase/trunk/crypto/heimdal/CONFIGURE
===================================================================
--- moonbase/trunk/crypto/heimdal/CONFIGURE 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/CONFIGURE 2005-10-11 10:21:59 UTC (rev 16889)
@@ -0,0 +1 @@
+mquery KRB4 "Compile with krb4 support (NOT recommended) ?" n
Modified: moonbase/trunk/crypto/heimdal/DEPENDS
===================================================================
--- moonbase/trunk/crypto/heimdal/DEPENDS 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/DEPENDS 2005-10-11 10:21:59 UTC (rev 16889)
@@ -1,3 +1,8 @@
depends openssl &&
depends db &&
-depends readline
+depends readline &&
+optional_depends "openldap" \
+ "--with-openldap" \
+ "--without-openldap" \
+ "for openldap support"
+
Modified: moonbase/trunk/crypto/heimdal/DETAILS
===================================================================
--- moonbase/trunk/crypto/heimdal/DETAILS 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/DETAILS 2005-10-11 10:21:59 UTC (rev 16889)
@@ -1,12 +1,12 @@
MODULE=heimdal
- VERSION=0.6.3
+ VERSION=0.7.1
SOURCE=$MODULE-$VERSION.tar.gz
SOURCE_URL=ftp://ftp.pdc.kth.se/pub/heimdal/src/
- SOURCE_VFY=sha1:91863a1bd9f8a55063a09c28a5f41985b7a31145
+ SOURCE_VFY=sha1:ab3e6f5fe6de86f7ba7413f8600f9b1ed956b620
WEB_SITE=http://www.pdc.kth.se/heimdal/
MAINTAINER=ratler at lunar-linux.org
ENTERED=20041026
- UPDATED=20041026
+ UPDATED=20051011
SHORT="Heimdals kerberos 5 implementation"
cat << EOF
Heimdal is a free implementation of Kerberos 5.
Added: moonbase/trunk/crypto/heimdal/POST_INSTALL
===================================================================
--- moonbase/trunk/crypto/heimdal/POST_INSTALL 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/POST_INSTALL 2005-10-11 10:21:59 UTC (rev 16889)
@@ -0,0 +1,5 @@
+# We dont want /var/heimdal tracked
+
+if [ ! -d /var/heimdal ]; then
+ mkdir /var/heimdal
+fi
Added: moonbase/trunk/crypto/heimdal/init.d/kadmind
===================================================================
--- moonbase/trunk/crypto/heimdal/init.d/kadmind 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/init.d/kadmind 2005-10-11 10:21:59 UTC (rev 16889)
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# chkconfig: 2345 30 70
+# description: kadmin daemon
+# processname: kadmind
+# pidfile: /var/run/kadmind.pid
+
+start ()
+{
+ echo -n "Starting kadmind: "
+ kadmind &
+ echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+stop ()
+{
+ echo -n "Stopping kadmind: "
+ /bin/pkill -P 1 kpasswdd &&
+ echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+. /lib/lsb/init-functions
Property changes on: moonbase/trunk/crypto/heimdal/init.d/kadmind
___________________________________________________________________
Name: svn:executable
+ *
Added: moonbase/trunk/crypto/heimdal/init.d/kdc
===================================================================
--- moonbase/trunk/crypto/heimdal/init.d/kdc 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/init.d/kdc 2005-10-11 10:21:59 UTC (rev 16889)
@@ -0,0 +1,11 @@
+#!/bin/bash
+#
+# chkconfig: 345 30 70
+# description: Heimdal KDC daemon
+# processname: kdc
+# pidfile: /var/run/kdc.pid
+
+ARGS="--detach"
+
+. /lib/lsb/init-functions
+
Property changes on: moonbase/trunk/crypto/heimdal/init.d/kdc
___________________________________________________________________
Name: svn:executable
+ *
Added: moonbase/trunk/crypto/heimdal/init.d/kpasswdd
===================================================================
--- moonbase/trunk/crypto/heimdal/init.d/kpasswdd 2005-10-11 09:27:12 UTC (rev 16888)
+++ moonbase/trunk/crypto/heimdal/init.d/kpasswdd 2005-10-11 10:21:59 UTC (rev 16889)
@@ -0,0 +1,22 @@
+#!/bin/bash
+#
+# chkconfig: 2345 30 70
+# description: kpasswd daemon
+# processname: kpasswdd
+# pidfile: /var/run/kpasswdd.pid
+
+start ()
+{
+ echo -n "Starting kpasswdd: "
+ kpasswdd &
+ echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+stop ()
+{
+ echo -n "Stopping kpasswdd: "
+ /bin/pkill -P 1 kpasswdd &&
+ echo -e $RESULT_OK || echo -e $RESULT_FAIL
+}
+
+. /lib/lsb/init-functions
Property changes on: moonbase/trunk/crypto/heimdal/init.d/kpasswdd
___________________________________________________________________
Name: svn:executable
+ *
More information about the Lunar-commits
mailing list